For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create IPSecGateway

Creates a new IPSecGateway.

The full IPSecGateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/ipsecgateways
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

IPSecGateway successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecGateway.

Example: /ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44
post/ipsecgateways
POST /ipsecgateways HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 390

{
  "metadata": {},
  "properties": {
    "name": "My Company Gateway",
    "description": "This gateway connects site A to VDC X.",
    "gatewayIP": "81.173.1.2",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "ipv4CIDR": "192.168.1.100/24",
        "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
      }
    ],
    "version": "IKEv2",
    "tier": "STANDARD",
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    }
  }
}
{
  "id": "66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
  "type": "ipsecgateway",
  "href": "/ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null
  },
  "properties": {
    "name": "My Company Gateway",
    "description": "This gateway connects site A to VDC X.",
    "gatewayIP": "81.173.1.2",
    "connections": [
      {
        "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
        "lanId": "2",
        "ipv4CIDR": "192.168.1.100/24",
        "ipv6CIDR": "fd28:5f8d:d9fe:08bd::/64"
      }
    ],
    "version": "IKEv2",
    "tier": "STANDARD",
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    }
  }
}

Last updated

Was this helpful?